# Uses of Class
org.apache.sysds.runtime.io.hdf5.H5BufferBuilder

Packages that use H5BufferBuilder
Package
Description
org.apache.sysds.runtime.io.hdf5
org.apache.sysds.runtime.io.hdf5.message

## Uses of H5BufferBuilder in org.apache.sysds.runtime.io.hdf5

Fields in org.apache.sysds.runtime.io.hdf5 declared as H5BufferBuilder
Modifier and Type
Field
Description
`H5BufferBuilder`
H5RootObject.`bufferBuilder`
Methods in org.apache.sysds.runtime.io.hdf5 that return H5BufferBuilder
Modifier and Type
Method
Description
`H5BufferBuilder`
H5BTree.`toBuffer()`
`H5BufferBuilder`
H5ObjectHeader.`toBuffer()`
Methods in org.apache.sysds.runtime.io.hdf5 with parameters of type H5BufferBuilder
Modifier and Type
Method
Description
`void`
H5BTree.`toBuffer(H5BufferBuilder bb)`
`void`
H5DoubleDataType.`toBuffer(H5BufferBuilder bb)`
`void`
H5GroupSymbolTableNode.`toBuffer(H5BufferBuilder bb)`
`void`
H5LocalHeap.`toBuffer(H5BufferBuilder bb)`
`void`
H5ObjectHeader.`toBuffer(H5BufferBuilder bb)`
`void`
H5Superblock.`toBuffer(H5BufferBuilder bb)`
`void`
H5SymbolTableEntry.`toBuffer(H5BufferBuilder bb)`

## Uses of H5BufferBuilder in org.apache.sysds.runtime.io.hdf5.message

Methods in org.apache.sysds.runtime.io.hdf5.message with parameters of type H5BufferBuilder
Modifier and Type
Method
Description
`void`
H5DataLayoutMessage.`toBuffer(H5BufferBuilder bb)`
`void`
H5DataSpaceMessage.`toBuffer(H5BufferBuilder bb)`
`void`
H5DataTypeMessage.`toBuffer(H5BufferBuilder bb)`
`void`
H5FillValueMessage.`toBuffer(H5BufferBuilder bb)`
`void`
H5NilMessage.`toBuffer(H5BufferBuilder bb)`
`void`
H5ObjectModificationTimeMessage.`toBuffer(H5BufferBuilder bb)`
`void`
H5SymbolTableMessage.`toBuffer(H5BufferBuilder bb)`